Browse code

community fixes

Nat! authored on 07-11-2016 23:59:08
Showing 4 changed files
... ...
@@ -1,3 +1,7 @@
1
+0.5.10
2
+===
3
+* fixes for community release
4
+
1 5
 0.5.1-0.5.8
2 6
 ===
3 7
 
... ...
@@ -1,20 +1,24 @@
1 1
 #! /bin/sh
2
-
3 2
 #
3
+# (c) 2016 Nat! for Mulle kybernetiK
4 4
 #
5
+# BSD3-License
5 6
 #
7
+
6 8
 PROJECT="MulleVararg"    # requires camel-case
7 9
 DESC="Access variable arguments in struct layout fashion"
8
-DEPENDENCIES="mulle-c11" # names not camel case
9
-ORIGIN=public            # git repo to push
10
+DEPENDENCIES='${REMOTEROOTDIR}/software/mulle-c11' # no camel case, will be evaled later!
10 11
 LANGUAGE=c               # c,cpp, objc
11 12
 
12
-##
13
-## In optimal cases, you don't edit anything hereafter
14
-##
13
+#
14
+# Ideally you don't hafta change anything below this line
15
+#
16
+# source mulle-homebrew.sh (clumsily)
15 17
 MULLE_BOOTSTRAP_FAIL_PREFIX="release.sh"
16 18
 
17
-. ./bin/mulle-homebrew/mulle-homebrew.sh
19
+. ./bin/repository-info.sh || exit 1
20
+. ./bin/mulle-homebrew/mulle-homebrew.sh || exit 1
21
+
18 22
 
19 23
 # parse options
20 24
 homebrew_parse_options "$@"
... ...
@@ -44,8 +48,7 @@ VERSION="`get_header_version "${HEADER}" "${VERSIONNAME}"`"
44 48
 # --- HOMEBREW FORMULA ---
45 49
 # Information needed to construct a proper brew formula
46 50
 #
47
-HOMEPAGE="https://www.mulle-kybernetik.com/software/git/${NAME}"
48
-ARCHIVEURL='https://www.mulle-kybernetik.com/software/git/${NAME}/tarball/${VERSION}'  # ARCHIVEURL will be evaled later! keep it in single quotes
51
+HOMEPAGE="${REMOTEURL}/${NAME}"
49 52
 
50 53
 
51 54
 # --- HOMEBREW TAP ---
52 55
new file mode 100644
... ...
@@ -0,0 +1,9 @@
1
+#! /bin/sh
2
+
3
+ORIGIN=origin                                    # git repo to push
4
+REMOTEROOTDIR="mulle-objc"
5
+REMOTEHOST="https://github.com"
6
+REMOTEURL="${REMOTEHOST}/${REMOTEROOTDIR}"
7
+ARCHIVEURL='${REMOTEURL}/${NAME}/archive/${VERSION}.tar.gz'  # ARCHIVEURL will be evaled later! keep it in single quotes
8
+
9
+:
... ...
@@ -11,7 +11,10 @@
11 11
 
12 12
 #include "mulle_align.h"
13 13
 
14
-#define MULLE_VARARG_VERSION  ((0 << 20) | (5 << 8) | 8)
14
+//
15
+// community version is always even
16
+//
17
+#define MULLE_VARARG_VERSION  ((0 << 20) | (5 << 8) | 10)
15 18
 
16 19
 
17 20
 /*